Bug 1263580 - An internal error occurred during: "Repository registry initialization".
Summary: An internal error occurred during: "Repository registry initialization".
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-m2e-core
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gerard Ryan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-16 08:50 UTC by Severin Gehwolf
Modified: 2015-12-18 07:53 UTC (History)
10 users (show)

Fixed In Version: eclipse-m2e-core-1.6.2-4.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-18 07:53:10 UTC


Attachments (Terms of Use)

Description Severin Gehwolf 2015-09-16 08:50:18 UTC
Description of problem:
When I load up my workspace which includes maven projects an error dialog pops up with the following error: "An internal error occurred during: "Repository registry initialization".

Version-Release number of selected component (if applicable):
eclipse-m2e-core-1.6.1-1.fc23.noarch

How reproducible:
100%

Steps to Reproduce:
1. Import a maven project using Import => Maven => Existing Maven projects
2. Observe the error dialog appearing.
3. Error dialog appears every time the same workspace is loaded.

Actual results:
Error dialog appearing.

Expected results:
No error dialog. Either ignore Lucene version used or discover the lucene version in use somehow.

Additional info:
Stack trace from the error log:
java.lang.NoSuchFieldError: LUCENE_36
	at org.apache.maven.index.context.NexusIndexWriter.defaultConfig(NexusIndexWriter.java:60)
	at org.apache.maven.index.context.DefaultIndexingContext.getWriterConfig(DefaultIndexingContext.java:512)
	at org.apache.maven.index.context.DefaultIndexingContext.openAndWarmup(DefaultIndexingContext.java:500)
	at org.apache.maven.index.context.DefaultIndexingContext.prepareIndex(DefaultIndexingContext.java:201)
	at org.apache.maven.index.context.DefaultIndexingContext.<init>(DefaultIndexingContext.java:150)
	at org.apache.maven.index.context.DefaultIndexingContext.<init>(DefaultIndexingContext.java:170)
	at org.apache.maven.index.DefaultNexusIndexer.addIndexingContextForced(DefaultNexusIndexer.java:147)
	at org.eclipse.m2e.core.internal.index.nexus.NexusIndexManager.createIndexingContext(NexusIndexManager.java:964)
	at org.eclipse.m2e.core.internal.index.nexus.NexusIndexManager.setIndexDetails(NexusIndexManager.java:931)
	at org.eclipse.m2e.core.internal.index.nexus.NexusIndexManager.repositoryAdded(NexusIndexManager.java:877)
	at org.eclipse.m2e.core.internal.repository.RepositoryRegistry.addRepository(RepositoryRegistry.java:163)
	at org.eclipse.m2e.core.internal.repository.RepositoryRegistry.updateRegistry(RepositoryRegistry.java:236)
	at org.eclipse.m2e.core.internal.repository.RepositoryRegistryUpdateJob.run(RepositoryRegistryUpdateJob.java:47)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

$ rpm -q lucene
lucene-5.3.0-1.fc23.noarch

Comment 1 Severin Gehwolf 2015-09-16 08:51:38 UTC
$ rpm -qa | grep eclipse
eclipse-e4-importer-0.1.0-0.3.git5ac5197.fc23.noarch
eclipse-swt-4.5.0-14.fc23.x86_64
eclipse-webtools-servertools-3.7.0-1.fc23.noarch
eclipse-jgit-4.0.1-4.fc23.noarch
eclipse-remote-2.0.0-1.fc23.noarch
eclipse-rse-3.7.0-2.fc23.noarch
eclipse-p2-discovery-4.5.0-14.fc23.noarch
eclipse-gef-3.10.0-1.fc23.noarch
eclipse-linuxtools-4.0.0-6.fc23.noarch
eclipse-dtp-1.12.0-5.fc23.noarch
eclipse-equinox-osgi-4.5.0-14.fc23.x86_64
eclipse-m2e-workspace-0.2.0-2.fc23.noarch
eclipse-webtools-common-core-3.7.0-1.fc23.noarch
eclipse-webtools-sourceediting-3.7.0-1.fc23.noarch
eclipse-ptp-9.0.0-1.fc23.x86_64
eclipse-filesystem-1.0-5.fc23.x86_64
eclipse-cdt-8.7.0-8.fc23.x86_64
eclipse-webtools-servertools-core-3.7.0-1.fc23.noarch
eclipse-linuxtools-libhover-4.0.0-6.fc23.noarch
eclipse-emf-runtime-2.11.0-3.fc23.noarch
eclipse-xsd-2.10.1-4.fc23.noarch
eclipse-emf-core-2.11.0-3.fc23.x86_64
eclipse-mylyn-docs-wikitext-3.16.0-2.fc23.noarch
eclipse-m2e-core-1.6.1-1.fc23.noarch
eclipse-pde-4.5.0-14.fc23.x86_64
eclipse-cdt-parsers-8.7.0-8.fc23.x86_64
devassistant-dap-eclipse-0.10.0dev-9.fc23.noarch
eclipse-jdt-4.5.0-14.fc23.x86_64
eclipse-egit-4.0.1-4.fc23.noarch
eclipse-fedorapackager-0.5.0-5.fc23.noarch
eclipse-mylyn-3.16.0-2.fc23.noarch
eclipse-changelog-4.0.0-6.fc23.noarch
eclipse-platform-4.5.0-14.fc23.x86_64
eclipse-ecf-core-3.10.1-1.fc23.x86_64
maven-eclipse-plugin-2.9-14.fc23.noarch
eclipse-rpm-editor-4.0.0-6.fc23.noarch
eclipse-webtools-common-3.7.0-1.fc23.noarch
eclipse-tm-terminal-4.0.0-2.fc23.noarch

Comment 2 Gerard Ryan 2015-10-04 21:30:17 UTC
Hi Severin,

I had a quick look at this today (I couldn't spend enough time on it yet to provide a fix though). I believe that the change will need to be made in maven-indexer (another one of my packages).

What's happening is that maven-indexer (and eclipse-m2e-core) have not been keeping up to date with lucene as aggressively as Fedora. In maven indexer, this LUCENE_36 is a constant that comes from a class in lucene that has the supported API versions. In 5.x, the 3.x API versions appear to have been dropped, so that's why we're seeing this error.

There's an (as yet unreleased) commit in maven-indexer repo to update to a newer version of lucene, I don't know why it hasn't been released yet (it has been there for a while).

What we could do in Fedora is update to an unreleased version of maven-indexer to get this patch, but then we might hit other issues (it might be unreleased because there are things broken; or the interface that m2e-core uses has changed; or anything else).

There's also a constant in that class, LATEST, which should always work. As you suggest, we should probably change to use this, and I'll probably do this, once I've fixed the actual issue. This would at least prevent this blocker from appearing (although it might just mask other issues down the line).

Thanks for reporting,
Gerard.

Comment 3 Max Kovgan 2015-12-11 14:05:54 UTC
Any ETA on the issue? it currently reproduces pretty steadily for:
eclipse-m2e-core-1.6.2-2.fc23.noarch

Comment 4 Fedora Update System 2015-12-13 01:04:50 UTC
eclipse-m2e-core-1.6.2-3.fc23 maven-indexer-5.1.1-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-27e4145ca1

Comment 5 Gerard Ryan 2015-12-13 02:04:17 UTC
Sorry, I kept putting this off...thanks for reminding me Max. Please try the new update & let me know if it fixes the issue for you.

Comment 6 Max Kovgan 2015-12-13 09:56:14 UTC
works for me :)
Thanks!

Comment 7 Fedora Update System 2015-12-13 17:21:36 UTC
eclipse-m2e-core-1.6.2-3.fc23, maven-indexer-5.1.1-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update eclipse-m2e-core maven-indexer'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-27e4145ca1

Comment 8 Mat Booth 2015-12-14 10:15:14 UTC
When I installed this update, I get errors like this in my workspace log:

http://fpaste.org/300518/08796114/

Caused by: org.osgi.framework.BundleException: Exception in org.eclipse.m2e.core.internal.MavenPluginActivator.start() of bundle org.eclipse.m2e.core.
Caused by: java.lang.NoClassDefFoundError: org/apache/lucene/index/IndexableField
Caused by: java.lang.ClassNotFoundException: org.apache.lucene.index.IndexableField cannot be found by org.eclipse.m2e.maven.indexer_1.6.2.20151213-0055

So are still missing a dependency?

I see no lucene jars in /usr/share/eclipse/dropins/m2e-core/eclipse/plugins/ so maybe we are missing some symlinks?

Comment 9 Mat Booth 2015-12-14 13:12:22 UTC
Aha, so the problem is because I did not get the maven-indexer update at the same time as the eclipse-m2e-core update.

As discussed on IRC, amending the Requires on maven-indexer should fix this -- thanks for your help!

Comment 10 Fedora Update System 2015-12-14 20:53:35 UTC
eclipse-m2e-core-1.6.2-4.fc23 maven-indexer-5.1.1-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-27e4145ca1

Comment 11 Fedora Update System 2015-12-15 10:55:03 UTC
eclipse-m2e-core-1.6.2-4.fc23, maven-indexer-5.1.1-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update eclipse-m2e-core maven-indexer'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-27e4145ca1

Comment 12 Fedora Update System 2015-12-18 07:53:00 UTC
eclipse-m2e-core-1.6.2-4.fc23, maven-indexer-5.1.1-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.